Skip to content
Start here

Delete a participant

client.realtimeKit.meetings.deleteMeetingParticipant(stringappId, stringmeetingId, stringparticipantId, MeetingDeleteMeetingParticipantParams { account_id } params, RequestOptionsoptions?): MeetingDeleteMeetingParticipantResponse { success, data }
DELETE/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Deletes a participant for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
formatuuid
participantId: string
params: MeetingDeleteMeetingParticipantParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
MeetingDeleteMeetingParticipantResponse { success, data }
success: boolean

Success status of the operation

data?: Data { created_at, custom_participant_id, preset_id, updated_at }

Data returned by the operation

created_at: string

Timestamp this object was created at. The time is returned in ISO format.

formatdate-time
custom_participant_id: string

A unique participant ID generated by the client.

preset_id: string

ID of the preset applied to this participant.

formatuuid
updated_at: string

Timestamp this object was updated at. The time is returned in ISO format.

formatdate-time

Delete a participant

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.meetings.deleteMeetingParticipant(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  'participant_id',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.success);
{
  "success": true,
  "data": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
}